Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface OntClass

All Superinterfaces:
  FrontsNode, OntResource, RDFNode, Resource

All Known Subinterfaces:
  AllValuesFromRestriction, BooleanClassDescription, CardinalityQRestriction, CardinalityRestriction, ComplementClass, EnumeratedClass, HasValueRestriction, IntersectionClass, MaxCardinalityQRestriction, MaxCardinalityRestriction, MinCardinalityQRestriction, MinCardinalityRestriction, QualifiedRestriction, Restriction, SomeValuesFromRestriction, UnionClass

    public interface OntClass

extends OntResource

Interface that represents an ontology node characterising a class description.

Version:
  CVS $Id: OntClass.java,v 1.30 2008/01/02 12:06:41 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`void` | `addDisjointWith(Resource cls)` Add a class that this class is disjoint with.
`void` | `addEquivalentClass(Resource cls)` Add a class that is equivalent to this class.
`void` | `addSubClass(Resource cls)` Add a sub-class of this class.
`void` | `addSuperClass(Resource cls)` Add a super-class of this class.
`ComplementClass` | `asComplementClass()` Answer a view of this class as a complement class
`EnumeratedClass` | `asEnumeratedClass()` Answer a view of this class as an enumerated class
`IntersectionClass` | `asIntersectionClass()` Answer a view of this class as an intersection class
`Restriction` | `asRestriction()` Answer a view of this class as a restriction class expression
`UnionClass` | `asUnionClass()` Answer a view of this class as a union class
`ComplementClass` | `convertToComplementClass(Resource cls)` Answer a view of this class as an complement of the given class.
`EnumeratedClass` | `convertToEnumeratedClass(RDFList individuals)` Answer a view of this class as an enumeration of the given individuals.
`IntersectionClass` | `convertToIntersectionClass(RDFList classes)` Answer a view of this class as an intersection of the given classes.
`Restriction` | `convertToRestriction(Property prop)` Answer a view of this class as an restriction on the given property.
`UnionClass` | `convertToUnionClass(RDFList classes)` Answer a view of this class as a union of the given classes.
`Individual` | `createIndividual()` Answer a new individual that has this class as its `rdf:type`
`Individual` | `createIndividual(java.lang.String uri)` Answer a new individual that has this class as its `rdf:type`
`void` | `dropIndividual(Resource individual)` Remove the given individual from the set of instances that are members of this class.
`OntClass` | `getDisjointWith()` Answer a class with which this class is disjoint.
`OntClass` | `getEquivalentClass()` Answer a class that is equivalent to this class.
`OntClass` | `getSubClass()` Answer a class that is the sub-class of this class.
`OntClass` | `getSuperClass()` Answer a class that is the super-class of this class.
`boolean` | `hasDeclaredProperty(Property p, boolean direct)` Answer true if the given property is one of the declared properties of this class.
`boolean` | `hasEquivalentClass(Resource cls)` Answer true if the given class is equivalent to this class.
`boolean` | `hasSubClass()` Answer true if this class has any sub-class in the model.
`boolean` | `hasSubClass(Resource cls)` Answer true if the given class is a sub-class of this class.
`boolean` | `hasSubClass(Resource cls, boolean direct)` Answer true if the given class is a sub-class of this class.
`boolean` | `hasSuperClass()` Answer true if this class has any super-class in the model.
`boolean` | `hasSuperClass(Resource cls)` Answer true if the given class is a super-class of this class.
`boolean` | `hasSuperClass(Resource cls, boolean direct)` Answer true if the given class is a super-class of this class.
`boolean` | `isComplementClass()` Answer true if this class is a complement class expression
`boolean` | `isDisjointWith(Resource cls)` Answer true if this class is disjoint with the given class.
`boolean` | `isEnumeratedClass()` Answer true if this class is an enumerated class expression
`boolean` | `isHierarchyRoot()` Answer true if this class is one of the roots of the local class hierarchy.
`boolean` | `isIntersectionClass()` Answer true if this class is an intersection class expression
`boolean` | `isRestriction()` Answer true if this class is a property restriction
`boolean` | `isUnionClass()` Answer true if this class is a union class expression
`ExtendedIterator` | `listDeclaredProperties()` Answer an iteration of the properties associated with a frame-like view of this class.
`ExtendedIterator` | `listDeclaredProperties(boolean direct)` Answer an iteration of the properties associated with a frame-like view of this class.
`ExtendedIterator` | `listDisjointWith()` Answer an iterator over all of the classes that this class is declared to be disjoint with.
`ExtendedIterator` | `listEquivalentClasses()` Answer an iterator over all of the classes that are declared to be equivalent classes to this class.
`ExtendedIterator` | `listInstances()` Answer an iterator over the individuals in the model that have this class among their types.
`ExtendedIterator` | `listInstances(boolean direct)` Answer an iterator over the individuals in the model that have this class among their types, optionally excluding sub-classes of this class.
`ExtendedIterator` | `listSubClasses()` Answer an iterator over all of the classes that are declared to be sub-classes of this class.
`ExtendedIterator` | `listSubClasses(boolean direct)` Answer an iterator over the classes that are declared to be sub-classes of this class.
`ExtendedIterator` | `listSuperClasses()` Answer an iterator over all of the classes that are super-classes of this class.
`ExtendedIterator` | `listSuperClasses(boolean direct)` Answer an iterator over all of the classes that are super-classes of this class.
`void` | `removeDisjointWith(Resource cls)` Remove the statement that this class and the given class are disjoint.
`void` | `removeEquivalentClass(Resource cls)` Remove the statement that this class and the given class are equivalent.
`void` | `removeSubClass(Resource cls)` Remove the given class from the sub-classes of this class.
`void` | `removeSuperClass(Resource cls)` Remove the given class from the super-classes of this class.
`void` | `setDisjointWith(Resource cls)` Assert that this class is disjoint with the given class.
`void` | `setEquivalentClass(Resource cls)` Assert that the given class is equivalent to this class.
`void` | `setSubClass(Resource cls)` Assert that this class is super-class of the given class.
`void` | `setSuperClass(Resource cls)` Assert that this class is sub-class of the given class.

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asDatatypeProperty, asIndividual, asObjectProperty, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDatatypeProperty, isDefinedBy, isDifferentFrom, isIndividual, isObjectProperty, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setSuperClass

    void setSuperClass(Resource cls)

  Assert that this class is sub-class of the given class. Any existing statements for `subClassOf` will be removed.

  Parameters:
    `cls` - The class that this class is a sub-class of
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### addSuperClass

    void addSuperClass(Resource cls)

  Add a super-class of this class.

  Parameters:
    `cls` - A class that is a super-class of this class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### getSuperClass

    OntClass getSuperClass()

  Answer a class that is the super-class of this class. If there is more than one such class, an arbitrary selection is made. If there is no such super-class, return null.

  Returns:
    A super-class of this class or null
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### listSuperClasses

    ExtendedIterator listSuperClasses()

  Answer an iterator over all of the classes that are super-classes of this class. Each element of the iterator will be an `OntClass`.

  Returns:
    An iterator over the super-classes of this class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### listSuperClasses

    ExtendedIterator listSuperClasses(boolean direct)

  Answer an iterator over all of the classes that are super-classes of this class. Each element of the iterator will be an `OntClass`. See `listSubClasses( boolean )` for a full explanation of the direct parameter.

  Parameters:
    `direct` - If true, only answer the directly adjacent classes in the super-class relation: i.e. eliminate any class for which there is a longer route to reach that child under the super-class relation.
  Returns:
    an iterator over the resources representing this class's sub-classes.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### hasSuperClass

    boolean hasSuperClass(Resource cls)

  Answer true if the given class is a super-class of this class.

  Parameters:
    `cls` - A class to test.
  Returns:
    True if the given class is a super-class of this class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### hasSuperClass

    boolean hasSuperClass()

  Answer true if this class has any super-class in the model. Note that when using a reasoner, all OWL classes have owl:Thing as a super-class.

  Returns:
    True if this class has any known super-class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### hasSuperClass

    boolean hasSuperClass(Resource cls,
                          boolean direct)

  Answer true if the given class is a super-class of this class. See `listSubClasses( boolean )` for a full explanation of the direct parameter.

  Parameters:
    `cls` - A class to test.
    `direct` - If true, only search the classes that are directly adjacent to this class in the class hierarchy.
  Returns:
    True if the given class is a super-class of this class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### removeSuperClass

    void removeSuperClass(Resource cls)

  Remove the given class from the super-classes of this class. If this statement is not true of the current model, nothing happens.

  Parameters:
    `cls` - A class to be removed from the super-classes of this class
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` class is not supported in the current language profile.

### setSubClass

    void setSubClass(Resource cls)

  Assert that this class is super-class of the given class. Any existing statements for `subClassOf` on `prop` will be removed.

  Parameters:
    `cls` - The class that is a sub-class of this class
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### addSubClass

    void addSubClass(Resource cls)

  Add a sub-class of this class.

  Parameters:
    `cls` - A class that is a sub-class of this class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### getSubClass

    OntClass getSubClass()

  Answer a class that is the sub-class of this class. If there is more than one such class, an arbitrary selection is made. If there is no such class, return null.

  Returns:
    A sub-class of this class or null
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### listSubClasses

    ExtendedIterator listSubClasses()

  Answer an iterator over all of the classes that are declared to be sub-classes of this class. Each element of the iterator will be an `OntClass`.

  Returns:
    An iterator over the sub-classes of this class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### listSubClasses

    ExtendedIterator listSubClasses(boolean direct)

  Answer an iterator over the classes that are declared to be sub-classes of this class. Each element of the iterator will be an `OntClass`. The distinguishing extra parameter for this method is the flag `direct` that allows some selectivity over the classes that appear in the iterator. Consider the following scenario: ``

         :B rdfs:subClassOf :A.
         :C rdfs:subClassOf :A.
         :D rdfs:subClassof :C.

  (so A has two sub-classes, B and C, and C has sub-class D). In a raw model, with no inference support, listing the sub-classes of A will answer B and C. In an inferencing model, `rdfs:subClassOf` is known to be transitive, so the sub-classes iterator will include D. The `direct` sub-classes are those members of the closure of the subClassOf relation, restricted to classes that cannot be reached by a longer route, i.e. the ones that are directly adjacent to the given root. Thus, the direct sub-classes of A are B and C only, and not D - even in an inferencing graph. Note that this is not the same as the entailments from the raw graph. Suppose we add to this example: `

         :D rdfs:subClassof :A.

  ` Now, in the raw graph, A has sub-class C. But the direct sub-classes of A remain B and C, since there is a longer path A-C-D that means that D is not a direct sub-class of A. The assertion in the raw graph that A has sub-class D is essentially redundant, since this can be inferred from the closure of the graph.

  Note: This is is a change from the behaviour of Jena 1, which took a parameter `closed` to compute the closure over transitivity and equivalence of sub-classes. The closure capability in Jena2 is determined by the inference engine that is wrapped with the ontology model. The direct parameter is provided to allow, for example, a level-by-level traversal of the class hierarchy, starting at some given root. Observe that in Jena 1, passing `true` will tend to increase the number of results returned; in Jena 2 passing `true` will tend to reduce the number of results.

  Parameters:
    `direct` - If true, only answer the directly adjacent classes in the sub-class relation: i.e. eliminate any class for which there is a longer route to reach that child under the sub-class relation.
  Returns:
    an iterator over the resources representing this class's sub-classes
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### hasSubClass

    boolean hasSubClass(Resource cls)

  Answer true if the given class is a sub-class of this class.

  Parameters:
    `cls` - A class to test.
  Returns:
    True if the given class is a sub-class of this class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### hasSubClass

    boolean hasSubClass()

  Answer true if this class has any sub-class in the model. Note that when using a reasoner, all OWL classes have owl:Nothing as a sub-class.

  Returns:
    True if this class has any known sub-class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### hasSubClass

    boolean hasSubClass(Resource cls,
                        boolean direct)

  Answer true if the given class is a sub-class of this class. See `listSubClasses( boolean )` for a full explanation of the direct parameter.

  Parameters:
    `cls` - A class to test.
    `direct` - If true, only search the classes that are directly adjacent to this class in the class hierarchy.
  Returns:
    True if the given class is a sub-class of this class.
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` property is not supported in the current language profile.

### removeSubClass

    void removeSubClass(Resource cls)

  Remove the given class from the sub-classes of this class. If this statement is not true of the current model, nothing happens.

  Parameters:
    `cls` - A class to be removed from the sub-classes of this class
  Throws:
    `OntProfileException` - If the `Profile.SUB_CLASS_OF()` class is not supported in the current language profile.

### setEquivalentClass

    void setEquivalentClass(Resource cls)

  Assert that the given class is equivalent to this class. Any existing statements for `equivalentClass` will be removed.

  Parameters:
    `cls` - The class that this class is a equivalent to.
  Throws:
    `OntProfileException` - If the `Profile.EQUIVALENT_CLASS()` property is not supported in the current language profile.

### addEquivalentClass

    void addEquivalentClass(Resource cls)

  Add a class that is equivalent to this class.

  Parameters:
    `cls` - A class that is equivalent to this class.
  Throws:
    `OntProfileException` - If the `Profile.EQUIVALENT_CLASS()` property is not supported in the current language profile.

### getEquivalentClass

    OntClass getEquivalentClass()

  Answer a class that is equivalent to this class. If there is more than one such class, an arbitrary selection is made.

  Returns:
    A class equivalent to this class
  Throws:
    `OntProfileException` - If the `Profile.EQUIVALENT_CLASS()` property is not supported in the current language profile.

### listEquivalentClasses

    ExtendedIterator listEquivalentClasses()

  Answer an iterator over all of the classes that are declared to be equivalent classes to this class. Each element of the iterator will be an `OntClass`.

  Returns:
    An iterator over the classes equivalent to this class.
  Throws:
    `OntProfileException` - If the `Profile.EQUIVALENT_CLASS()` property is not supported in the current language profile.

### hasEquivalentClass

    boolean hasEquivalentClass(Resource cls)

  Answer true if the given class is equivalent to this class.

  Parameters:
    `cls` - A class to test for
  Returns:
    True if the given property is equivalent to this class.
  Throws:
    `OntProfileException` - If the `Profile.EQUIVALENT_CLASS()` property is not supported in the current language profile.

### removeEquivalentClass

    void removeEquivalentClass(Resource cls)

  Remove the statement that this class and the given class are equivalent. If this statement is not true of the current model, nothing happens.

  Parameters:
    `cls` - A class that may be declared to be equivalent to this class, and which is no longer equivalent
  Throws:
    `OntProfileException` - If the `Profile.EQUIVALENT_CLASS()()` property is not supported in the current language profile.

### setDisjointWith

    void setDisjointWith(Resource cls)

  Assert that this class is disjoint with the given class. Any existing statements for `disjointWith` will be removed.

  Parameters:
    `cls` - The property that this class is disjoint with.
  Throws:
    `OntProfileException` - If the `Profile.DISJOINT_WITH()` property is not supported in the current language profile.

### addDisjointWith

    void addDisjointWith(Resource cls)

  Add a class that this class is disjoint with.

  Parameters:
    `cls` - A class that has no instances in common with this class.
  Throws:
    `OntProfileException` - If the `Profile.DISJOINT_WITH()` property is not supported in the current language profile.

### getDisjointWith

    OntClass getDisjointWith()

  Answer a class with which this class is disjoint. If there is more than one such class, an arbitrary selection is made.

  Returns:
    A class disjoint with this class
  Throws:
    `OntProfileException` - If the `Profile.DISJOINT_WITH()` property is not supported in the current language profile.

### listDisjointWith

    ExtendedIterator listDisjointWith()

  Answer an iterator over all of the classes that this class is declared to be disjoint with. Each element of the iterator will be an `OntClass`.

  Returns:
    An iterator over the classes disjoint with this class.
  Throws:
    `OntProfileException` - If the `Profile.DISJOINT_WITH()` property is not supported in the current language profile.

### isDisjointWith

    boolean isDisjointWith(Resource cls)

  Answer true if this class is disjoint with the given class.

  Parameters:
    `cls` - A class to test
  Returns:
    True if the this class is disjoint with the the given class.
  Throws:
    `OntProfileException` - If the `Profile.DISJOINT_WITH()` property is not supported in the current language profile.

### removeDisjointWith

    void removeDisjointWith(Resource cls)

  Remove the statement that this class and the given class are disjoint. If this statement is not true of the current model, nothing happens.

  Parameters:
    `cls` - A class that may be declared to be disjoint with this class, and which is no longer disjoint
  Throws:
    `OntProfileException` - If the `Profile.DISJOINT_WITH()()()` property is not supported in the current language profile.

### listDeclaredProperties

    ExtendedIterator listDeclaredProperties()

  Answer an iteration of the properties associated with a frame-like view of this class. Note that many cases of determining whether a property is associated with a class depends on RDFS or OWL reasoning. This method may therefore return complete results only in models that have an attached reasoner. See the RDF frames how-to for full details.

  Returns:
    An iteration of the properties that are associated with this class by their domain.

### listDeclaredProperties

    ExtendedIterator listDeclaredProperties(boolean direct)

  Answer an iteration of the properties associated with a frame-like view of this class. Note that many cases of determining whether a property is associated with a class depends on RDFS or OWL reasoning. This method may therefore return complete results only in models that have an attached reasoner. See the RDF frames how-to for full details.

  Parameters:
    `direct` - If true, restrict the properties returned to those directly associated with this class.
  Returns:
    An iteration of the properties that are associated with this class by their domain.

### hasDeclaredProperty

    boolean hasDeclaredProperty(Property p,
                                boolean direct)

  Answer true if the given property is one of the declared properties of this class. For details, see `listDeclaredProperties(boolean)`.

  Parameters:
    `p` - A property to test
    `direct` - If true, only direct associations between classes and properties are considered
  Returns:
    True if `p` is one of the declared properties of this class

### listInstances

    ExtendedIterator listInstances()

  Answer an iterator over the individuals in the model that have this class among their types. Equivalent to `listInstances(boolean)` with an argument `false`.

  Returns:
    An iterator over those instances that have this class as one of the classes to which they belong

### listInstances

    ExtendedIterator listInstances(boolean direct)

  Answer an iterator over the individuals in the model that have this class among their types, optionally excluding sub-classes of this class.

  Parameters:
    `direct` - If true, only direct instances are counted (i.e. not instances of sub-classes of this class)
  Returns:
    An iterator over those instances that have this class as one of the classes to which they belong

### createIndividual

    Individual createIndividual()

  Answer a new individual that has this class as its `rdf:type`

  Returns:
    A new anonymous individual that is an instance of this class

### createIndividual

    Individual createIndividual(java.lang.String uri)

  Answer a new individual that has this class as its `rdf:type`

  Parameters:
    `uri` - The URI of the new individual
  Returns:
    A new named individual that is an instance of this class

### dropIndividual

    void dropIndividual(Resource individual)

  Remove the given individual from the set of instances that are members of this class. This is effectively equivalent to the `Individual.removeOntClass(com.hp.hpl.jena.rdf.model.Resource)` method, but invoked via the class resource rather than via the individual resource.

  Parameters:
    `individual` - A resource denoting an individual that is no longer to be a member of this class

### isHierarchyRoot

    boolean isHierarchyRoot()

  Answer true if this class is one of the roots of the local class hierarchy. This will be true if either (i) this class has `owl:Thing` (or `daml:Thing`) as a direct super-class, or (ii) it has no declared super-classes (including anonymous class expressions).

  Returns:
    True if this class is the root of the class hierarchy in the model it is attached to

### asEnumeratedClass

    EnumeratedClass asEnumeratedClass()

  Answer a view of this class as an enumerated class

  Returns:
    This class, but viewed as an EnumeratedClass facet
  Throws:
    `ConversionException` - if the class cannot be converted to an enumerated class given the language profile and the current state of the underlying model.

### asUnionClass

    UnionClass asUnionClass()

  Answer a view of this class as a union class

  Returns:
    This class, but viewed as a UnionClass facet
  Throws:
    `ConversionException` - if the class cannot be converted to a union class given the language profile and the current state of the underlying model.

### asIntersectionClass

    IntersectionClass asIntersectionClass()

  Answer a view of this class as an intersection class

  Returns:
    This class, but viewed as an IntersectionClass facet
  Throws:
    `ConversionException` - if the class cannot be converted to an intersection class given the language profile and the current state of the underlying model.

### asComplementClass

    ComplementClass asComplementClass()

  Answer a view of this class as a complement class

  Returns:
    This class, but viewed as a ComplementClass facet
  Throws:
    `ConversionException` - if the class cannot be converted to a complement class given the language profile and the current state of the underlying model.

### asRestriction

    Restriction asRestriction()

  Answer a view of this class as a restriction class expression

  Returns:
    This class, but viewed as a Restriction facet
  Throws:
    `ConversionException` - if the class cannot be converted to a restriction given the language profile and the current state of the underlying model.

### isEnumeratedClass

    boolean isEnumeratedClass()

  Answer true if this class is an enumerated class expression

  Returns:
    True if this is an enumerated class expression

### isUnionClass

    boolean isUnionClass()

  Answer true if this class is a union class expression

  Returns:
    True if this is a union class expression

### isIntersectionClass

    boolean isIntersectionClass()

  Answer true if this class is an intersection class expression

  Returns:
    True if this is an intersection class expression

### isComplementClass

    boolean isComplementClass()

  Answer true if this class is a complement class expression

  Returns:
    True if this is a complement class expression

### isRestriction

    boolean isRestriction()

  Answer true if this class is a property restriction

  Returns:
    True if this is a restriction

### convertToEnumeratedClass

    EnumeratedClass convertToEnumeratedClass(RDFList individuals)

  Answer a view of this class as an enumeration of the given individuals.

  Parameters:
    `individuals` - A list of the individuals that will comprise the permitted values of this class converted to an enumeration
  Returns:
    This ontology class, converted to an enumeration of the given individuals

### convertToIntersectionClass

    IntersectionClass convertToIntersectionClass(RDFList classes)

  Answer a view of this class as an intersection of the given classes.

  Parameters:
    `classes` - A list of the classes that will comprise the operands of the intersection
  Returns:
    This ontology class, converted to an intersection of the given classes

### convertToUnionClass

    UnionClass convertToUnionClass(RDFList classes)

  Answer a view of this class as a union of the given classes.

  Parameters:
    `classes` - A list of the classes that will comprise the operands of the union
  Returns:
    This ontology class, converted to an union of the given classes

### convertToComplementClass

    ComplementClass convertToComplementClass(Resource cls)

  Answer a view of this class as an complement of the given class.

  Parameters:
    `cls` - An ontology class that will be operand of the complement
  Returns:
    This ontology class, converted to an complement of the given class

### convertToRestriction

    Restriction convertToRestriction(Property prop)

  Answer a view of this class as an restriction on the given property.

  Parameters:
    `prop` - A property this is the subject of a property restriction class expression
  Returns:
    This ontology class, converted to a restriction on the given property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP